repo/gentoo:master commit in: dev-python/packaging/

Michał Górny <[email protected]> Wed, 05 Aug 2026 02:13:35 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785894939.3c6f18bc8cc3eecf00fe9f2c5f5cbe03153f7010.mgorny@gentoo>
commit:     3c6f18bc8cc3eecf00fe9f2c5f5cbe03153f7010
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  5 01:34:03 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug  5 01:55:39 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c6f18bc

dev-python/packaging: Bump to 26.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/packaging/Manifest              |  2 ++
 dev-python/packaging/packaging-26.3.ebuild | 41 ++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/packaging/Manifest b/dev-python/packaging/Manifest
index 45e865e4a2d4..f80484c07913 100644
--- a/dev-python/packaging/Manifest
+++ b/dev-python/packaging/Manifest
@@ -1,2 +1,4 @@
 DIST packaging-26.2.tar.gz 228134 BLAKE2B 5d19304c33c560fdc5e1784c2cc0ce8b7033957c2484ff00d7b07110e2d49c84c14c40066c93a9fada23dbc47a864ac4de16afec5588031c38b084a9198d40e8 SHA512 cefa0ac8cfade3e86d73c62e79aff75e7e24337495f6e675c20ddd3fa3f3431eb48764a34e5ab0bcdacc0d2204afdc0088686d1f3f6880e9a8ae055da4867f15
 DIST packaging-26.2.tar.gz.provenance 9601 BLAKE2B bfeddec8c935693875dae1b6a5f6c8309a3a9ccaf0a814012795c97df3f08ec2ec3dec9e69179363f507297b42ee18e404039e0573c9ca1287eca4ed5544ba32 SHA512 05f2c47a7cfbd175bac6731b87d59daf4d072592787e7feca26c203478678e90451cfce405e0fd2b82ca8db64f29cbd9f01a73bd3fdfc7eacdb4b3b1d9a7fd35
+DIST packaging-26.3.tar.gz 313412 BLAKE2B ac74f7ec270d5b966820ce151297e59d82f6d9bfefb5789fa812ce5610077eec279f414f0ed6712520f07b600ff8d4ffb39e03f8e32239c987036e9f7206622c SHA512 6a649d40efe6e6e9a7aaa1c4be9dc9e5eac40c35c57834407f9e610cda9f7c9c74d42bd2d5d86d3a7637cfa0201ad534997da8697acd7e5261f2fa18be478a95
+DIST packaging-26.3.tar.gz.provenance 9664 BLAKE2B c098ead2db324ac1804d604af88043021bf1ae0b05cbaec7d58e08ae37395b023fc18fb32d7316b2250cb97feaa6c58c5b5ec9b3f94baf346ea8514850d62456 SHA512 df083a9d8ce3a821abd30c9bc9fbd8f6b78778728fa404c71a48296c84fa931c17b4e6d36745d7616c803925f91eb994c47db0df7501fc5ec9e33edab4ef5593

diff --git a/dev-python/packaging/packaging-26.3.ebuild b/dev-python/packaging/packaging-26.3.ebuild
new file mode 100644
index 000000000000..9f2b636dd3bc
--- /dev/null
+++ b/dev-python/packaging/packaging-26.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/pypa/packaging
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+	https://github.com/pypa/packaging/
+	https://pypi.org/project/packaging/
+"
+
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+RDEPEND="
+	!<dev-python/setuptools-67
+"
+DEPEND="
+	test? (
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+		dev-python/pretend[${PYTHON_USEDEP}]
+		dev-python/tomli-w[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+	epytest --capture=no
+}